## snap-confine 1.0.41

=== debian/changelog ===
snap-confine (1.0.41-2) unstable; urgency=medium

  [ Jamie Strandboge ]
  * add skip-nsfs-magic-tests-on-old-kernels.patch to disable NSFS tests on
    kernels older than 3.19.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 21 Sep 2016 09:13:18 +1200

snap-confine (1.0.41-1) unstable; urgency=medium

  * New upstream release, full list of issues is available at
    https://launchpad.net/snap-confine/+milestone/1.0.41
  * Drop all patches (included upstream).
  * Add version to apparmor run-time dependency.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 20 Sep 2016 20:45:24 +1200

snap-confine (1.0.40-1) unstable; urgency=medium

  * New upstream release, full list of issues is available at
    https://launchpad.net/snap-confine/+milestone/1.0.40
  * Drop apparmor profile from the debian/ directory and install it straight
    from upstream package. This is now automatically consistent with package
    configuration prefix.
  * Drop patch: prctl-compatibility.patch(applied upstream)
  * Add directory /var/lib/snapd/void to snap-confine
  * Add patch: 0001-Don-t-shellcheck-files-spread-prepare-script.patch that
    fixes make check due to a mistake upstream.
  * Add patch: 0001-Stop-using-deprecated-readdir_r.patch (LP: #1615615)

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Tue, 23 Aug 2016 10:53:16 +0200

snap-confine (1.0.39-1) unstable; urgency=medium

  * New upstream release.
  * Remove d/patches/01_lp1606277.patch, applied upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Aug 2016 14:54:46 +1200

snap-confine (1.0.38-3) unstable; urgency=medium

  * debian/patches/prctl-compatibility.patch: add shadow definitions for
    compatibility with older kernel headers.
  * drop build-dependency on shellcheck, which is not used at build time
    and doesn't exist in trusty.
  * make ubuntu-core-launcher "arch:any" to workaround an issue in
    rm_conffile which does not deal with changing architectures
  * fix log-observer interface regression (LP: #1606277)

 -- Steve Langasek <vorlon@debian.org>  Thu, 28 Jul 2016 21:00:38 +0000

snap-confine (1.0.38-2) unstable; urgency=medium

  * Fix invocations of rm_conffile.
  * Update d/usr.lib.snapd.snap-confine to the latest upstream version to
    ensure content-sharing fully works.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Jul 2016 12:09:51 +1200

snap-confine (1.0.38-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Jul 2016 21:10:58 +1200

snap-confine (1.0.36-1) unstable; urgency=medium

  * New upstream release.
  * Do not pass --enable-rootfs-is-core-snap to ./configure on Ubuntu.
  * Only pass --enable-nvidia-ubuntu to ./configure on Ubuntu.
  * Update apparmor profile to actually confine /usr/lib/snapd/snap-confine.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Jul 2016 11:12:39 +1200

snap-confine (1.0.35-1) unstable; urgency=medium

  * New upstream release.
    - use execle() with clean environment instead of execl() when calling
      snappy-add-dev to avoid influencing snappy-add-dev and allowing privilege
      escalation. snappy-app-dev is only called when devices are assigned via
      udev tagging, but currently snapd does not create these udev tags during
      'snap install' or 'snap connect' so this code branch is not entered during
      app invocation.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 07 Jul 2016 09:59:48 +1200

snap-confine (1.0.34-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * New upstream release.
  * Update build dependencies.
  * Remove d/patches/udev-rules-without-confinement, applied upstream.
  * Update apparmor profile.
  * Change libexecdir from /usr/lib/snap-confine to /usr/lib/snapd.
  * Install manpages.
  * Add myself to uploaders.

  [ Zygmunt Krynicki ]
  * New upstream release
  * Build with --disable-apparmor outside of Ubuntu (replaces
    --disable-confinement from earlier releases)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 04 Jul 2016 12:18:54 +1200

snap-confine (1.0.33-1) unstable; urgency=medium

  * New upstream release
  * Reapply packaging rename.
  * Use dpkg-vendor so that we can use a single debian/rules for both Debian
    and Ubuntu.
  * Add debian/watch for upstream tarballs.
  * Switch debian/source/format to non-native.
  * Complete the rename to snap-confine by renaming the source package.
  * debian/patches/udev-rules-without-confinement: Install udev rules
    even if confinement isn't enabled.
  * Move Vcs-Git to collab-maint on alioth.

  [ Zygmunt Krynicki ]
  * Break/Replace ubuntu-core-launcher << 1.0.32 so that packages upgrade
    correctly
  * Expose /run when --enable-rootfs-is-core-snap is used

 -- Steve Langasek <vorlon@debian.org>  Wed, 22 Jun 2016 06:29:26 +0000

ubuntu-core-launcher (1.0.30) yakkety; urgency=medium

  [ Zygmunt Krynicki ]
  * Rename the package and everything else from ubuntu-core-launcher to
    snap-confine
  * Allow for graceful migrations from ubuntu-core-launcher to snap-confine by
    providing both commands as binary packages, with proper dependencies and
    post-installation scripts that manage apparmor profile changes.
  * Discard the useless duplicate argument. Now snap-confine is invoked with
    'snap-name $SECURITY_TAG $COMMAND...'. Previously, security tag was
    duplicated. In the future this will change once again, so that security
    tag is derived from an argument containing $SNAP_NAME and $APP_NAME. 
  * Clean up tests so that shellcheck reports no more errors or warnings
  * Ensure that shellcheck reports no errors on each build
  * Add #DEBHELPER# to maintainer scripts (thanks to lintian)
  * Switch to autotools, build-depend on pkg-config, autotools-dev, autoconf
    and automake (thanks to ogra for the missing bits).
  * Use "dh $@ --with autoreconf" to prepare the build system.

