=== debian/control ===
Source: snap-confine
Section: utils
Priority: optional
Maintainer: Steve Langasek <vorlon@debian.org>
Uploaders: Michael Hudson-Doyle <michael.hudson@ubuntu.com>,
           Zygmunt Krynicki <me@zygoon.pl>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 9),
               dh-apparmor,
               dh-autoreconf,
               indent,
               libapparmor-dev,
               libglib2.0-dev,
               libseccomp-dev,
               libudev-dev,
               pkg-config,
               python3-docutils,
               udev
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/collab-maint/snap-confine.git -b debian
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/snap-confine.git/?h=debian

Package: snap-confine
Architecture: any
Breaks: ubuntu-core-launcher (<< 1.0.32)
Replaces: ubuntu-core-launcher (<< 1.0.32)
Depends: apparmor (>= 2.10.95-0ubuntu2.2), ${misc:Depends}, ${shlibs:Depends}
Description: Support executable to apply confinement for snappy apps
 This package contains an internal tool for applying confinement to snappy app.
 The executable (snap-confine) is ran internally by snapd to apply confinement
 to the started application process. The tool is written in C and carefully
 reviewed to limit the attack surface on the security model of snapd.

Package: ubuntu-core-launcher
Architecture: any
Depends: snap-confine, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.17.14)
Description: Launcher for ubuntu-core (snappy) apps
 This package contains the launcher for launching snappy applications
