## snap-confine 1.0.43

=== debian/changelog ===
snap-confine (1.0.43-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * Backport from 16.10 (LP: #1630040)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 06 Oct 2016 14:51:26 +0000

snap-confine (1.0.43-0ubuntu1) yakkety; urgency=medium

  * New upstream release (LP: #1630479, LP: #1630492, LP: #1628612)
  * debian/patches/lp1630789.patch: allow running snaps by non-root users in
    LXD containers (LP: #1630789)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 06 Oct 2016 12:29:59 +0000

snap-confine (1.0.42-0ubuntu3) yakkety; urgency=medium

  * allow snap-confine to mount on /dev/pts/ptmx for LXD with /dev/ptmx
    symlink

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 28 Sep 2016 17:04:05 -0500

snap-confine (1.0.42-0ubuntu2) yakkety; urgency=medium

  * add mmap to AppArmor policy for snap-confine for running snap-confine
    under LXD on 4.8 kernels

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 28 Sep 2016 16:14:49 -0500

snap-confine (1.0.42-0ubuntu1) yakkety; urgency=medium

  * New upstream release
  * Drop patch skip-nsfs-magic-tests-on-old-kernels.patch (applied upstream)

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Mon, 26 Sep 2016 19:19:26 +0200

snap-confine (1.0.41-0ubuntu2) yakkety; urgency=medium

  * add skip-nsfs-magic-tests-on-old-kernels.patch to disable NSFS tests on
    kernels older than 3.19 (LP: #1625565)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 20 Sep 2016 10:58:54 -0500

snap-confine (1.0.41-0ubuntu1) yakkety; urgency=medium

  * New upstream release, full list of issues is available at
    https://launchpad.net/snap-confine/+milestone/1.0.41
  * Drop all patches (included upstream).
  * Add version to apparmor run-time dependency.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 20 Sep 2016 20:45:24 +1200
