=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: snap-confine
 Section: utils
 Priority: optional
-Maintainer: Steve Langasek <vorlon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve Langasek <vorlon@debian.org>
 Uploaders: Michael Hudson-Doyle <michael.hudson@ubuntu.com>,
            Zygmunt Krynicki <me@zygoon.pl>
 Build-Depends: autoconf,
